Skip to main content
`Ctrl`+`K`

# VecViennaCLPlaceArray

Replace the viennacl vector in a Vec with the one provided by the user. This is useful to avoid a copy.

## Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecViennaCLPlaceArray(Vec vin, const ViennaCLVector *a)

Not Collective

## Input Parameters

- vin - the vector

- a - the ViennaCL vector

## Notes

You can return to the original viennacl vector with a call to `VecViennaCLResetArray()`. It is not possible to use `VecViennaCLPlaceArray()` and `VecPlaceArray()` at the same time on the same vector.

## See Also

`VecPlaceArray()`, `VecSetValues()`, `VecViennaCLResetArray()`, `VecCUDAPlaceArray()`,

## Level

intermediate

## Location

src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages